wn_dest Component

Component: wn_dest

Description

This component is part of the BBC Academy at Wood Norton version 4.5 BNCS system. The hardware installation in various buildings and areas uses both audio and video routers. The router sizes are minimised to keep costs low, so we do not have a simple association between the destination crosspoints on the video and audio roters (eg video destination 23 and audio destination 11 may feed the same logical entity). Whilst the BNCS packager could be used to manage the crosspoint packages, the packager only provides tally from a selected single level. Experience shows that in the Wood Norton installation tally data is needed from all levels.

There are 4 BNCS drivers used to manage the source and destination packages:

1) Package names.
The package names are arranged in logical groups of 30 sources or destinations per group. Databases 0 and 1 hold the long names, databases 2 and 3 hold the short name. Databases 5 and 6 hold the group names.

2) Package crosspoints.
The format of an entry is 0006=3,7 where 3 is the video crosspoint and 7 is the audio crosspoint.
A non-existant element (eg a video only source) has a hypen in place of the number for the level eg 0009=17,-

3) Video Router.
This is a standard BNCS router ini file, but using databases 0 and 1 for long names, and databses 2 and 3 for short names.

4) Audio Router.
This is a standard BNCS router ini file, but using databases 0 and 1 for long names, and databses 2 and 3 for short names.

Component wn_dest acts as a "smart" button that displays both the audio and video tally data from a destination, and the destination name for the chosen destination id. The visual editor is used to set up the 4 database entries, and the destination id in the package names database.

Commands

You can pass commands to this component in the format:
<parameter>=<button_id>

Name | Type | Use
return=all | String | Returns all of the parameters to the script host.
return=destination_id | String | Returns the assigned destination_id. Feteched by textGet("destination_id", panel_id, control_id, &return_var);
return=video_id | String | Returns the video destination for the assigned destination_id.
return=audio_id | String | Returns the audio destination for the assigned destination_id.
destination_id | Number | The destination id for the smart control. This will be an entry in the package names list.
package_name_id | Number | The BNCS driver id for the package names.
package_xpts_id | Number | The BNCS driver id for the comma deliminated crosspoints in the packages named in package_name_id
video_matrix_id | Number | The BNCS driver id for the video level.
index | Number | The index value is sent by the host panel system. An index value=-1 clears the button selection if it is active. An index value that is greater than 0 is compared with the destination_id. If the values do not match, any active button selection is cleared. If the index value matches the destination number, the destination is selected.
buttonaction | Logic State | If the buttonlogic value is "true" the button emits notifications when pressed. If the buttonlogic value is "false" the notification happens on button release.
buttonstyle | Name String | The default stylesheet for the button.
buttonhigh | Name String | Set the statesheet name to use when the button is "active".
buttonlow | Name String | Set the statesheet name to use when the button is inactive.
videotallystate | Name String | Set the stylesheet name to use for the selected item of the item selection buttons.
audiotallystate | Name String | Set the stylesheet name to use for the deselected item of the item selection buttons.

Notifications

Name | Use
select=<destination_id> | The destination id for this button control, or -1 when the active button is deselected.

Stylesheets

No default stylesheets used.

Developers Notes

Nothing to put here (yet!)
Copyright BBC Academy 2015